SLBM: taup::SplitDistance Class Reference

SLBM 3.0 Regional Seismic Travel Time

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
taup::SplitDistance Class Reference

Function object used by the Brents minF function to find the minimum (or maximum) of a retrograde layer. The function operator() defines a TauPSite::integrateDistance(...) function as the functional for finding the minimum for some ray parameter p. This object is only used in the TauPModel::findLimits(...) function when a retrograde layer is detected.

`#include <TauPSiteFunctionals.h>`

## Public Member Functions
| SplitDistance (TauPSite *tps)
| Standard constructor sets the internal TauPModel and a set of velocity layers. More...
| SplitDistance (const SplitDistance &sd)
| Copy constructor. More...
virtual | ~SplitDistance ()
| Destructor. More...
SplitDistance & | operator= (const SplitDistance &sd)
| Assignment operator. More...
double | operator() (double p)
| Function object operator() definition. This operator returns the ray distance as a function of the input ray parameter p. More...

## Private Attributes
TauPSite * | sdTPS
| A reference to the velocity layer vector used by this SplitDistance object. More...

## Constructor & Destructor Documentation

taup::SplitDistance::SplitDistance | ( | TauPSite * | tps | ) |
| inline

taup::SplitDistance::SplitDistance | ( | const SplitDistance & | sd | ) |
| inline

virtual taup::SplitDistance::~SplitDistance | ( |  | ) |
| inlinevirtual

## Member Function Documentation

double taup::SplitDistance::operator() | ( | double | p | ) |

SplitDistance& taup::SplitDistance::operator= | ( | const SplitDistance & | sd | ) |
| inline

## Member Data Documentation

TauPSite* taup::SplitDistance::sdTPS
| private

The documentation for this class was generated from the following file:

- /nfs/tonto2/devlpool/sballar/RSTT/SLBM_Root.3.0.5/install/SLBM_Root.3.0.5.Linux/SLBM/include/TauPSiteFunctionals.h